Name: cvs
Version: 1.11.2
Release: alt3

Summary: A version control system
License: GPL
Group: Development/Other
Url: http://www.cvshome.org/

# Kerberos support.
%def_without kerberos

# Test suit.
%def_without check

Source: ftp://ftp.cvshome.org/pub/%name-%version/%name-%version.tar.bz2

Source1: cvsrc
Source2: %name.sh
Source4: %name.xinetd
Source5: %name-pserver
Source6: %name-pserver.conf
Source7: %name-pserver.8
Source8: cvsinitroot
Source9: %name-README.ALT

Patch1: %name-1.11.2-alt-xasprintf.patch
Patch2: %name-1.11.2-alt-tmp.patch
Patch3: %name-1.11.2-alt-texinfo.patch
Patch4: %name-1.11.2-alt-zlib.patch
Patch5: %name-1.11.2-alt-autoconf.patch
Patch6: %name-1.11.2-mdk-alt-errno.patch
Patch7: %name-1.11.2-alt-cvsrc.patch
Patch8: %name-1.11.2-alt-config.patch
Patch9: %name-1.11.2-alt-server-log.patch
Patch10: %name-1.11.2-alt-lock_name.patch
Patch11: %name-1.11.2-alt-env.patch
Patch12: %name-1.11.2-alt-cvsbug-ypcat.patch
Patch13: %name-1.11.2-rh-alt-authserver.patch
Patch14: %name-1.11.2-rh-krb4.patch
Patch15: %name-1.11.2-deb-alt-newlines.patch
Patch16: %name-1.11.2-deb-fast-edit.patch
Patch17: %name-1.11.2-bsd-deb-local_branch_num.patch
Patch18: %name-1.11.2-deb-alt-create_cvspass.patch
Patch19: %name-1.11.2-deb-normalize_correct_roots.patch
Patch20: %name-1.11.2-deb-server_wrapper.patch
Patch21: %name-1.11.2-deb-alt-local_tag_expansions.patch
Patch22: %name-1.11.2-deb-history_val-tag_world_writeable.patch
Patch23: %name-1.11.2-deb-alt-homedir.patch
Patch24: %name-1.11.2-deb-parseopts.patch
Patch25: %name-1.11.2-deb-alt-doc.patch
Patch26: %name-1.11.2-alt-use-glibc-getopt_fnmatch.patch
Patch27: %name-1.11.2-alt-tagloginfo.patch
Patch28: %name-1.11.2-alt-devnull.patch
Patch29: %name-1.11.2-alt-mdk-canonicalize_file_name.patch
Patch30: %name-1.11.2-alt-version.patch
Patch31: %name-1.11.2-deb-watch_on_pserver.patch
Patch32: %name-1.11.2-deb-diff_with_dashes.patch
Patch33: %name-1.11.2-deb-keyword_alphanumerics.patch
Patch34: %name-1.11.2-deb-alt-fix_remote_editor_spawn.patch
Patch35: %name-1.11.2-deb-disable_init_cvs_server.patch
Patch36: %name-1.11.2-esser-server-dir_name.patch
Patch37: %name-1.11.2-esser-server-requests.patch

Requires(pre): shadow-utils
Requires(post,preun): %__install_info
Requires: mktemp >= 1:1.3.1, vitmp

BuildPreReq: autoconf >= 2.53, automake >= 1.6
%{?_with_kerberos:BuildPreReq: libkrb5-devel}
#%{?_with_check:BuildConflicts: cvs < 1.11.2-alt1}

# Automatically added by buildreq on Thu Jan 16 2003
BuildRequires: zlib-devel

%description
CVS means Concurrent Version System; it is a version control
system which can record the history of your files (usually,
but not always, source code). CVS only stores the differences
between versions, instead of every version of every file
you've ever created. CVS also keeps a log of who, when and
why changes occurred, among other aspects.

CVS is very helpful for managing releases and controlling
the concurrent editing of source files among multiple
authors. Instead of providing version control for a
collection of files in a single directory, CVS provides
version control for a hierarchical collection of
directories consisting of revision controlled files.

These directories and files can then be combined together
to form a software release.

Install the %name package if you need to use a version
control system.

%package pserver
Summary: CVS pserver script, documentation and default configuration
Group: System/Servers
Requires: %name = %version-%release

%description pserver
%name-pserver is a wrapper around CVS which loads some default variables.
It is normally run by xinetd.

%package doc
Summary: Various documentation about the CVS
Group: Development/Other
Conflicts: %name < %version-%release, %name > %version-%release

%description doc
Various documentation about the Concurrent Version System.

%package contrib
Summary: Contributed soft for the CVS
Group: Development/Other
Requires: %name = %version-%release

%description contrib
Contributed soft for the Concurrent Version System.

%prep
%setup -q
%__rm -rf emx os2 windows-NT vms zlib

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1

find -type f \( -size 0 -o -name \*~ -o -name \*.orig -o -name .cvsignore \) -print0 |
	xargs -r0 %__rm -fv --

# Fix dos-style lines.
r=$(echo -en '\r')
find contrib -type f -print0 |
	xargs -r0 %__grep -Zl "$r\$" -- |
	xargs -r0 %__subst -p "s/$r\$//g" --
unset r

# Ensure to use getopt and fnmatch from glibc.
find -type f \( -name getopt\* -o -name fnmatch\* \) -print0 |
	xargs -r0 %__rm -f --

%build
%add_optflags -D_GNU_SOURCE

export ac_cv_path_CSH=/bin/csh
export ac_cv_path_PERL=%__perl
export ac_cv_path_PS2PDF=/usr/bin/ps2pdf
export ac_cv_path_ROFF=/usr/bin/groff
export ac_cv_path_TEXI2DVI=/usr/bin/texi2dvi

libtoolize --copy --force
aclocal
autoheader
automake
autoconf

%configure \
	%{?_with_kerberos:--with-gssapi=/usr/kerberos --with-krb4=/usr/kerberos --enable-encryption}
%make_build
%__bzip2 -9 doc/*.ps FAQ
%{?_with_check:make check}

%install
%makeinstall install-info

install -pD -m755 $RPM_SOURCE_DIR/%name-pserver $RPM_BUILD_ROOT%_sbindir/%name-pserver
install -pD -m600 $RPM_SOURCE_DIR/%name-pserver.conf $RPM_BUILD_ROOT%_sysconfdir/%name/pserver.conf
install -pD -m644 $RPM_SOURCE_DIR/%name-pserver.8 $RPM_BUILD_ROOT%_man8dir/cvs-pserver.8

install -pD -m644 $RPM_SOURCE_DIR/cvsrc $RPM_BUILD_ROOT%_sysconfdir/%name/cvsrc
install -pD -m755 $RPM_SOURCE_DIR/%name.sh $RPM_BUILD_ROOT%_sysconfdir/profile.d/%name.sh
install -pD -m640 $RPM_SOURCE_DIR/%name.xinetd $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/%name
install -pD -m755 $RPM_SOURCE_DIR/cvsinitroot $RPM_BUILD_ROOT%_sbindir/cvsinitroot

install -d -m3770 $RPM_BUILD_ROOT/var/lock/%name

%__rm -rf $RPM_BUILD_ROOT%_docdir/%name-%version
install -pD -m644 $RPM_SOURCE_DIR/%name-README.ALT \
	$RPM_BUILD_ROOT%_docdir/%name-%version/README.ALT
install -p -m644 \
	AUTHORS *BUGS ChangeLog DEVEL-CVS HACKING NEWS PROJECTS README TODO *.bz2 doc/*.bz2 \
	$RPM_BUILD_ROOT%_docdir/%name-%version

%pre
/usr/sbin/groupadd -rf %name
/usr/sbin/groupadd -rf %{name}admin

%post
%install_info %name.info %{name}client.info

%preun
%uninstall_info %name.info %{name}client.info

%files
%attr(3770,root,%name) %dir /var/lock/%name
%attr(755,root,root) %dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/cvsrc
%config(noreplace) %_sysconfdir/profile.d/*sh
%_bindir/cvs*
%_sbindir/cvsinitroot
%_man1dir/*
%_man5dir/*
%_man8dir/cvsbug.*
%_infodir/*.info*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[A-Z]*

%files pserver
%attr(755,root,root) %dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/pserver.conf
%config(noreplace) %_sysconfdir/xinetd.d/*
%_sbindir/%name-pserver
%_man8dir/%name-pserver.*

%files doc
%dir %_docdir/%name-%version
%_docdir/%name-%version/*.bz2

%files contrib
%_bindir/rcs*
%_datadir/%name

%changelog
* Thu Jan 16 2003 Dmitry V. Levin <ldv@altlinux.org> 1.11.2-alt3
- Applied fixes from Stefan Esser.

* Sun Nov 17 2002 Dmitry V. Levin <ldv@altlinux.org> 1.11.2-alt2
- cvs.xinetd: set nice and rlimit_as resource limits for pserver.
- cvs_pserver: clear TMPDIR variable (as well as HOME). 
- Merged in Debian patches:
  + added "-alt" to version number;
  + a fix from upstream which unbroke the watch commands was commited;
  + fixed up some typos in the man page;
  + made it possible to diff files named --foo and similar;
  + added note to cvs.texinfo explaining what the parameters to cvs import is;
  + fixed keyword handling to accept alphanumerics, not just alphabetics;
  + added fix to avoid spawn an editor on a remote system;
  + disabled init over pserver.

* Wed May 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.11.2-alt1
- 1.11.2, redone patches.
- Patched to support new automake/autoconf.
- Updated tmp races cleanup patch (now covers all shell scripts).
- Added xasprintf function for internal needs.
- Patched cvs server to work without /dev/null.
- Set default editor to vitmp.
- Updated RH patches: 1.11.1p1-authserver, 1.11.1p1-krb4.
- Merged in Debian patches:
  + newlines_in_commit_template;
  + fast_edit;
  + BSD_LOCAL_BRANCH_NUM;
  + create_cvspass;
  + normalize_correct_roots;
  + server_wrapper;
  + local_tag_expansions;
  + history_val-tag_world_writeable;
  + homedir;
  + parseopts;
  + cvs-pserver(8) manpage.
- Dropped mmap patch (unmaintained).
- /etc/cvs/cvsrc: empty by default.
- Renamed cvspserver to cvs-pserver.
- Changed cvs-pserver config from /etc/cvs/cvs.conf to /etc/cvs/pserver.conf.
- Moved cvs-pserver to pserver subpackage.
- Relocated cvsinitroot from %_bindir/ to %_sbindir/.
- Updated dependencies.
- Relocated docs.

* Sat Mar 10 2001 Dmitry V. Levin <ldv@fandra.org> 1.11-ipl4mdk
- Set cvs_rsh transport to ssh by default.
- Safe open files.

* Wed Dec 06 2000 Dmitry V. Levin <ldv@fandra.org> 1.11-ipl3mdk
- Fixed:
  + bug in lock_name();
  + script cvspserver (option -f was resurrected).

* Tue Nov 21 2000 Dmitry V. Levin <ldv@fandra.org> 1.11-ipl2mdk
- Added tagloginfo support.
- Fixed texinfo documentation.

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 1.11-ipl1mdk
- 1.11
- Merged MDK and RH patches.

* Tue Apr 11 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.10.8

* Wed Nov 10 1999 Dmitry V. Levin <ldv@fandra.org>
- env patch

* Wed Sep 21 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Fix several .spec bugs
- Update to 1.10.6

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bzipped info files.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptations

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.5.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.4.

* Tue Oct 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.3.

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.2.

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove trailing characters from rcs2log mktemp args

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.1

* Mon Aug 31 1998 Jeff Johnson <jbj@redhat.com>
- fix race conditions in cvsbug/rcs2log

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.30.

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- build root
- update to 1.9.28

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info stuff
- added changelog section
